glResetHistogram
Prev | GL | Next

## Name

glResetHistogram — reset histogram table entries to zero

## C Specification

`void `glResetHistogram`` | `(` | `GLenum `target`);`

## Python Specification

``glResetHistogram`` | `(` | ``target`) → `None``

## Parameters

`target`
  Must be `GL_HISTOGRAM`.

## Description

`glResetHistogram` resets all the elements of the current histogram table to zero.

## Notes

`glResetHistogram` is present only if `GL_ARB_imaging` is returned when `glGetString` is called with an argument of `GL_EXTENSIONS`.

## Errors

`GL_INVALID_ENUM` is generated if `target` is not `GL_HISTOGRAM`.

`GL_INVALID_OPERATION` is generated if `glResetHistogram` is executed between the execution of `glBegin` and the corresponding execution of `glEnd`.

## See Also

glHistogram

Prev | Up | Next
glRenderMode | Home | glResetMinmax